Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal
Class DesktopSignaling

    java.lang.Object
      |
      +--cnrg.itx.signal.DesktopSignaling

public class DesktopSignaling
extends java.lang.Object

The primary Signaling Object that allows the application to access all telephony services.

Inner Class Summary
`class` | `DesktopSignaling.Result` Inner Class containing the result of a Dial Sequence.

Constructor Summary
`DesktopSignaling(SignalingObserver so, java.lang.String uid, java.lang.String pass)` Constructor for a DesktopSignaling component for an application with no specified description and config file.
`DesktopSignaling(SignalingObserver so, java.lang.String uid, java.lang.String pass, java.lang.String desc, java.lang.String config)` Constructor for DesktopSignaling with an app description and config file for Directory Service

Method Summary
`SignalConnection` | `Dial(java.lang.String userid)` Dials a peer application and returns a SignalConnection containing the connection object to use for communication.
`SignalConnection` | `Dial(java.lang.String userid, Channel cInput, Channel cOutput)` Returns a SignalConnection containing the connection object to use for communication.
`SignalConnection` | `Dial(java.lang.String userid, Location userLoc, Channel cInput, Channel cOutput, SignalConnectionObserver sco)` Returns a SignalConnection containing the connection object to use for communication.
`SignalConnection` | `Dial(java.lang.String userid, Location userLoc, SignalConnectionObserver sco)` Returns a SignalConnection containing the connection object to use for communication.
`DirectoryService` | `getDirectory()` This method allows application to get a handle to a ready-to-use Directory Service.
`LocationList` | `getLocationList(java.lang.String userid)` This method allows an application to get a list of possible locations for a given user.
`int` | `getTimeout()` This method returns the timeout value currently being used for socket connections by Signaling.
`void` | `Hangup(SignalConnection sc)` Hangs up a given SignalConnection being used for a call.
`boolean` | `isAlive(SignalConnection sc)` This method queries a peer application to check if it is still running.
`void` | `logout()` This method unregisters the Signaling Component with Directory Services and kills the server thread.
`void` | `sendDTMF(java.lang.String s, SignalConnection sc)` This method sends a DTMF tone, as a string, to the destination on a given SignalConnection
`void` | `setTimeout(int t)` This method allows the application to set the timeout value to use for socket connections.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopSignaling

    public DesktopSignaling(SignalingObserver so,
                            java.lang.String uid,
                            java.lang.String pass)
                     throws DirectoryServiceException

  Constructor for a DesktopSignaling component for an application with no specified description and config file.
  Parameters:
    `so` - the SignalingObserver handle for the Application
    `uid` - the UserID of the user
    `pass` - the password of the user
  Throws:
    DirectoryServiceException -
  See Also:
    `DirectoryServiceException`

### DesktopSignaling

    public DesktopSignaling(SignalingObserver so,
                            java.lang.String uid,
                            java.lang.String pass,
                            java.lang.String desc,
                            java.lang.String config)
                     throws DirectoryServiceException

  Constructor for DesktopSignaling with an app description and config file for Directory Service
  Parameters:
    `so` - the SignalingObserver handle for the Application
    `uid` - the UserID of the user
    `pass` - the password of the user
    `desc` - the String representing the type of application instantiating this component
    `config` - is the name of the configuration file to use for Directory Service
  Throws:
    DirectoryServiceException -
  See Also:
    `DirectoryServiceException`

Method Detail

### Dial

    public SignalConnection Dial(java.lang.String userid)
                          throws DataException,
                                 DesktopSignalingException,
                                 DirectoryServiceException

  Dials a peer application and returns a SignalConnection containing the connection object to use for communication. This dial is blocking. It automatically tries all locations for the given user and returns the first established connection.
  Parameters:
    `userid` - the String representing the email address or phone number or userID to call
  Returns:
    a SignalConnection object for data transfer
  Throws:
    DesktopSignalingException -
    DataException -
    DirectoryServiceException -
  See Also:
    `SignalConnection`, `DataException`, `DesktopSignalingException`, `DirectoryServiceException`

### Dial

    public SignalConnection Dial(java.lang.String userid,
                                 Channel cInput,
                                 Channel cOutput)
                          throws DataException,
                                 DesktopSignalingException,
                                 DirectoryServiceException

  Returns a SignalConnection containing the connection object to use for communication. This dial is blocking. It automatically tries all locations for the given user and returns the first established connection. The application provides the input and output channels to use for the call.
  Parameters:
    `userid` - the String representing the email address or phone number or userID to call
    `cInput` - Input Channel to add to result
    `cOutput` - Output Channel to add to result
  Returns:
    a SignalConnection object for data transfer
  Throws:
    DesktopSignalingException -
    DataException -
    DirectoryServiceException -
  See Also:
    `SignalConnection`, `DataException`, `DesktopSignalingException`, `DirectoryServiceException`

### Dial

    public SignalConnection Dial(java.lang.String userid,
                                 Location userLoc,
                                 SignalConnectionObserver sco)
                          throws DataException,
                                 DesktopSignalingException,
                                 DirectoryServiceException

  Returns a SignalConnection containing the connection object to use for communication. This dial is non-blocking and requires the application to implement the SignalConnectionObserver interface. The method returns immediately with a SignalConnection. The SignalConnection can then be used to control the call (eg. startCall, abortCall etc.)
  Parameters:
    `userid` - the String representing the email address or phone number or userID to call
    `userLoc` - the Location object that needs to be dialed.
    `sco` - the SignalConnectionObserver object that is used by the application to control the dial process
  Returns:
    a SignalConnection object for the call.
  Throws:
    DesktopSignalingException -
    DataException -
    DirectoryServiceException -
  See Also:
    `SignalConnectionObserver`, `SignalConnection`, `DataException`, `DesktopSignalingException`, `DirectoryServiceException`

### Dial

    public SignalConnection Dial(java.lang.String userid,
                                 Location userLoc,
                                 Channel cInput,
                                 Channel cOutput,
                                 SignalConnectionObserver sco)
                          throws DataException,
                                 DesktopSignalingException,
                                 DirectoryServiceException

  Returns a SignalConnection containing the connection object to use for communication. This dial is non-blocking and requires the application to implement the SignalConnectionObserver interface. This method allows the app to specify the input and output channels to use for data exchange. The method returns immediately with a SignalConnection. The SignalConnection can then be used to control the call (eg. startCall, abortCall etc.)
  Parameters:
    `userid` - the String representing the email address or phone number or userID to call
    `userLoc` - the Location object that needs to be dialed
    `cInput` - the input channel to use for data exchange
    `cOutput` - the output channel to use for data exchange
    `sco` - the SignalConnectionObserver object that is used by the application to control the dial process
  Returns:
    a SignalConnection object for the call.
  Throws:
    DesktopSignalingException -
    DataException -
    DirectoryServiceException -
  See Also:
    `SignalConnectionObserver`, `SignalConnection`, `DataException`, `DesktopSignalingException`, `DirectoryServiceException`

### Hangup

    public void Hangup(SignalConnection sc)
                throws ConnectException

  Hangs up a given SignalConnection being used for a call.
  Parameters:
    `sc` - the SignalConnection to hangup
  Returns:
    void
  Throws:
    ConnectException -

### sendDTMF

    public void sendDTMF(java.lang.String s,
                         SignalConnection sc)
                  throws ConnectException

  This method sends a DTMF tone, as a string, to the destination on a given SignalConnection
  Parameters:
    `s` - is the string representation of the DTMF tone.
    `sc` - is the SignalConnection currently in use with the peer application.
  Returns:
    void
  Throws:
    ConnectException -

### isAlive

    public boolean isAlive(SignalConnection sc)
                    throws ConnectException

  This method queries a peer application to check if it is still running. If the peer application does not respond then the data connection between them is closed and removed.
  Parameters:
    `sc` - is the SignalConnection currently in use with the peer application.
  Returns:
    TRUE if the application is still running, FALSE otherwise
  Throws:
    ConnectException -

### getDirectory

    public DirectoryService getDirectory()

  This method allows application to get a handle to a ready-to-use Directory Service. The application needs to know the Directory Service API.
  Parameters:
    `None.` -
  Returns:
    A handle to a DirectoryService Object

### getLocationList

    public LocationList getLocationList(java.lang.String userid)
                                 throws DirectoryServiceException

  This method allows an application to get a list of possible locations for a given user. This should be used in conjuntion with the non-blocking dial to call specific locations.
  Parameters:
    `userid` - is the String representation of a user.
  Returns:
    A LocationList for the given userid.
  Throws:
    DirectoryServiceException -

### setTimeout

    public void setTimeout(int t)

  This method allows the application to set the timeout value to use for socket connections.
  Parameters:
    `t` - is the timeout in milliseconds to be used for Sockets.
  Returns:
    void

### getTimeout

    public int getTimeout()

  This method returns the timeout value currently being used for socket connections by Signaling.
  Parameters:
    `None` -
  Returns:
    the integer value of the timeout

### logout

    public void logout()

  This method unregisters the Signaling Component with Directory Services and kills the server thread.
  Parameters:
    `None.` -
  Returns:
    void

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD